Get Monster Data
curl --request GET \
--url https://api.example.com/api/data/monsters/{id}import requests
url = "https://api.example.com/api/data/monsters/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/data/monsters/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Data (Authenticated)
Get Monster Data
Get complete monster information including stats, moves, personality, and owner
GET
/
api
/
data
/
monsters
/
{id}
Get Monster Data
string
required
Monster ID (MongoDB ObjectId or token ID)
Requires
x-api-token header.Response Fields
| Field | Description |
|---|---|
| id | MongoDB ObjectId |
| breedName | Monster breed name |
| tokenId | NFT token ID (if minted) |
| variant | Base, Enchanted, Spooked, or Festived |
| level | Current level |
| experience | Total XP |
| assets | Profile picture, front/back sprite URLs |
| type | Primary and secondary types |
| statistics | HP, SP, maxHP, maxSP, ATK, sATK, DEF, sDEF, SPE, trust |
| innatePotential | Innate IV values (HP, SP, ATK, DEF, sATK, sDEF, SPE, total) |
| visiblePotential | Visible potential points |
| movesData | Learned moves with name, class, type, power, accuracy, cost |
| availableMovesData | All available moves |
| personality | Monster personality |
| originalHunter | First owner address |
| gender | Male or Female |
| likes | Liked food item |
| dislikes | Disliked food item |
| ability | Monster ability name |
| itemHeld | Held item code |
| cosmeticItem | Equipped cosmetic |
| owner | Current owner address |
Was this page helpful?
⌘I
